#!/usr/bin/env bash

if [[ -z "${JAVA_HOME}" ]]
then
  echo "Error: JAVA_HOME is not set! Giving up..." && exit 1
else
  if [[ "$OSTYPE" == "linux-gnu" || "$OSTYPE" == "Linux" ]]; then
    JAVA_BASE="${JAVA_HOME}/lib/server";
    if [[ ! -f "${JAVA_BASE}/libjvm.so" ]]; then
      echo "Error: Unable to find libjvm.so! Giving up..." && exit 1
    fi
  elif [[ "$OSTYPE" == "darwin"* ]]; then
    JAVA_BASE="${JAVA_HOME}"
    if [[ ! -f "${JAVA_BASE}/lib/server/libjvm.dylib" ]]; then
      JAVA_BASE="${JAVA_HOME}/Contents/Home"
    fi
    if [[ ! -f "${JAVA_BASE}/lib/server/libjvm.dylib" ]]; then
      echo "Error: Unable to find libjvm.dylib! Giving up..." && exit 1
    fi
  else
    echo "Error: Unable to determine OS type, while finding libjvm.so library location! Giving up..." && exit 1
  fi
fi

if [[ "$OSTYPE" == "linux-gnu" || "$OSTYPE" == "Linux" ]]; then
  export LD_LIBRARY_PATH=${BASE_DIR}/lib:${JAVA_BASE}
elif [[ "$OSTYPE" == "darwin"* ]]; then
  export DYLD_LIBRARY_PATH=${BASE_DIR}/lib:${JAVA_BASE}/lib:${JAVA_BASE}/lib/server:${JAVA_BASE}/lib/jli
else
  echo "Error: Unable to determine OS type, while customizing LD_LIBRARY_PATH! Giving up..." && exit 1
fi
